-- English

-- Most instant cast spells won't show up on spell alert
-- Add to this list to get them to show up
SA_SPELLS_INSTANT =
{
	["Bash"] = 1,
	["Blind"] = 1,
	["Charge"] = 1,
	["Counterspell"] = 1,
	["Deadly Throw"] = 1,
	["Death Coil"] = 1,
	["Drain Life"] = 1,
	["Drain Mana"] = 1,
	["Escape Artist"] = 1,
	["Explosive Trap"] = 1,	
	["Feral Charge"] = 1,
	["Freezing Trap"] = 1,
	["Frost Nova"] = 1,
	["Frost Trap"] = 1,
	["Hammer of Justice"] = 1,
	["Healing Potion"] = 1,
	["Immolation Trap"] = 1,
	["Intimidation"] = 1,
	["Intercept"] = 1,
	["Intimidating Shout"] = 1,
	["Preparation"] = 1,
	["Prowl"] = 1,
	["Psychic Scream"] = 1,
	["Scatter Shot"] = 1,
	["Slow"] = 1,
	["Snake Trap"] = 1,	
	["Spellsteal"] = 1,
	["Stealth"] = 1,
	["Swiftmend"] = 1,
	["Summon Water Elemental"] = 1,
	["Vanish"] = 1,
	["Wyvern Sting"] = 1,

}


SA_SPELLS_PERIODIC =
{
	["Lifebloom"] = 1,
}

SA_SPELLS_TOTEMS =
{
	["Disease Cleansing Totem"] = 1,
	["Earth Elemental Totem"] = 1,
	["Earthbind Totem"] = 1,
	["Fire Nova Totem"] = 1,
	["Fire Elemental Totem"] = 1,
	["Fire Resistance Totem"] = 1,
	["Flametongue Totem"] = 1,
	["Frost Resistance Totem"] = 1,
	["Grace of Air Totem"] = 1,
	["Grounding Totem"] = 1,
	["Healing Stream Totem"] = 1,
	["Magma Totem"] = 1,
	["Mana Spring Totem"] = 1,
	["Mana Tide Totem"] = 1,
	["Nature Resistance Totem"] = 1,
	["Poison Cleansing Totem"] = 1,
	["Searing Totem"] = 1,
	["Sentry Totem"] = 1,
	["Stoneclaw Totem"] = 1,
	["Stoneskin Totem"] = 1,
	["Strength of Earth Totem"] = 1,
	["Totem of Wrath"] = 1,
	["Tranquil Air Totem"] = 1,
	["Tremor Totem"] = 1,
	["Windwall Totem"] = 1,
	["Windfury Totem"] = 1,
	["Wrath of Air Totem"] = 1,
}

-- Spells on this list will give a warning when they fade
-- Mostly this list will match the SA_SPELLS_WARNING list
SA_SPELLS_BUFFS_FADE =
{
	["Adrenaline Rush"] = 1,
	["Avenging Wrath"] = 1,
	["Berserker Rage"] = 1,
	["Blade Flurry"] = 1,
	["Blessing of Freedom"] = 1,
	["Blessing of Protection"] = 1,
	["Blessing of Sacrifice"] = 1,
	["Bloodlust"] = 1,
	["Cheating Death"] = 1,
	["Cheat Death"] = 1,
	["Cloak of Shadows"] = 1,
	["Deterrence"] = 1,
	["Divine Shield"] = 1,
	["Divine Protection"] = 1,
	["Evasion"] = 1,
	["Evocation"] = 1,
	["Heroism"] = 1,
	["Ice Block"] = 1,
	["Nether Protection"] = 1,
	["Pain Suppression"] = 1,
	["Perception"] = 1,
	["Recklessness"] = 1,
	["Stoneform"] = 1,
	["Spell Reflection"] = 1,
	["The Beast Within"] = 1,
	["Will of the Forsaken"] = 1,
}

-- These are the most dangerous spells that will give an alert
-- in the 2nd alert window, separate from the normal alerts so 
-- they won't get overwritten as quickly
SA_SPELLS_WARNING =
{
	["Adrenaline Rush"] = 1,
	["Ancestral Spirit"] = 1,
	["Avenging Wrath"] = 1,
	["Berserker Rage"] = 1,
	["Blade Flurry"] = 1,
	["Bloodlust"] = 1,
	["Blessing of Freedom"] = 1,
	["Blessing of Protection"] = 1,
	["Blessing of Sacrifice"] = 1,
	["Cheating Death"] = 1,
	["Cheat Death"] = 1,
	["Cloak of Shadows"] = 1,
	["Cold Blood"] = 1,
	["Divine Shield"] = 1,
	["Divine Protection"] = 1,
	["Death Wish"] = 1,
	["Deterrence"] = 1,
	["Evasion"] = 1,
	["Evocation"] = 1,
	["Heroism"] = 1,
	["Innervate"] = 1,
	["Ice Block"] = 1,
	["Nether Protection"] = 1,
	["Pain Suppression"] = 1,
	["Perception"] = 1,
	["Recklessness"] = 1,
	["Redemption"] = 1,
	["Resurrection"] = 1,
	["Shadow Fiend"] = 1,
	["Spell Reflection"] = 1,
	["Stoneform"] = 1,
	["The Beast Within"] = 1,
	["Vanish"] = 1,
	["Will of the Forsaken"] = 1,
}

-- Heal spells that show up in blue by default
SA_SPELLS_HEALS = 
{
	-- Priest
	["Power Word: Shield"] = 1,
	["Flash Heal"] = 1,
	["Greater Heal"] = 1,
	["Heal"] = 1,
	["Prayer of Healing"] = 1,
	["Lesser Heal"] = 1,
	["Desperate Prayer"] = 1,
	["Circle of Healing"] = 1,
	["Binding Heal"] = 1,
	["Prayer of Mending"] = 1,	
	["Renew"] = 1,
	-- Druid
	["Healing Touch"] = 1,
	["Tranquility"] = 1,
	["Frenzied Regeneration"] = 1,
	["Lifebloom"] = 1,
	["Lifebloom (2)"] = 1,
	["Lifebloom (3)"] = 1,
	["Rejuvenation"] = 1,
	["Regrowth"] = 1,
	["Swiftmend"] = 1,
	-- Shaman
	["Healing Wave"] = 1,
	["Lesser Healing Wave"] = 1,
	["Chain Heal"] = 1,
	["Earth Shield"] = 1,
	-- Paladin
	["Holy Light"] = 1,
	["Lay on Hands"] = 1,
	["Flash of Light"] = 1,
	["Blessing of Sacrifice"] = 1,
	-- Warlock
	["Drain Life"] = 1,
	["Drain Mana"] = 1,
	-- Warrior
	["Second Wind"] = 1,
	--Misc
	["Cannibalize"] = 1,	
	["First Aid"] = 1,
	["Gift of Life"] = 1,
	["Gift of the Naaru"] = 1,
	["Healing Potion"] = 1,
	["Last Stand"] = 1,
	["Nigh-Invulnerability"] = 1,
	["Regeneration"] = 1,
	["Tremendous Fortitude"] = 1,

};

SA_SPELLS_CC_AFFLICTED = 
-- CC type spells to display when a friendly target is afllicted by it
{
	-- Priest
	["Mind Control"] = 1,
	["Psychic Scream"] = 1,
	-- Druid
	["Bash"] = 1,
	["Entangling Roots"] = 1,
	["Cyclone"] = 1,
	-- Mage
	["Polymorph"] = 1,
	["Polymorph: Pig"] = 1,
	["Polymorph: Turtle"] = 1,
	-- Warlock
	["Fear"] = 1,
	["Howl of Terror"] = 1,
	["Seduction"] = 1,
	-- Hunter
	["Scatter Shot"] = 1,
	["Wyvern Sting"] = 1,
	["Freezing Trap"] = 1,
	-- Warrior
	["Intimidating Shout"] = 1,
};

-- CC type spells that show up in yellow by default
SA_SPELLS_CC = 
{
	-- Priest
	["Mind Control"] = 1,
	["Psychic Scream"] = 1,
	-- Druid
	["Bash"] = 1,
	["Entangling Roots"] = 1,
	["Cyclone"] = 1,
	["Feral Charge"] = 1,
	-- Mage
	["Polymorph"] = 1,
	["Polymorph: Pig"] = 1,
	["Polymorph: Turtle"] = 1,
	["Counterspell"] = 1,
	["Frost Nova"] = 1,
	-- Warlock
	["Fear"] = 1,
	["Death Coil"] = 1,
	["Howl of Terror"] = 1,
	["Seduction"] = 1,
	-- Paladin
	["Hammer of Justice"] = 1,
	["Repentance"] = 1,
	-- Hunter
	["Scatter Shot"] = 1,
	["Silencing Shot"] = 1,
	["Freezing Trap"] = 1,
	["Frost Trap"] = 1,
	["Wyvern Sting"] = 1,
	-- Warrior
	["Intimidating Shout"] = 1,
	-- Rogue
	["Blind"] = 1,
};

-- Damage type spells that show up in red by default
SA_SPELLS_DAMAGE = 
{
	-- Priest
	["Mind Blast"] = 1,
	["Mana Burn"] = 1,
	["Starshards"] = 1,
	["Smite"] = 1,
	["Mind Flay"] = 1,
	["Holy Fire"] = 1,
	["Holy Nova"] = 1,
	["Shadow Word: Death"] = 1,
	["Vampiric Touch"] = 1,
	["Shadow Word: Pain"] = 1,
	-- Druid
	["Wrath"] = 1,
	["Starfire"] = 1,
	["Hurricane"] = 1,
	-- Hunter
	["Volley"] = 1,
	["Aimed Shot"] = 1,
	["Explosive Trap"] = 1,	
	["Immolation Trap"] = 1,
	["Snake Trap"] = 1,	
	-- Mage
	["Frostbolt"] = 1,
	["Fireball"] = 1,
	["Arcane Blast"] = 1,
	["Arcane Missiles"] = 1,
	["Arcane Explosion"] = 1,
	["Blizzard"] = 1,
	["Ice Lance"] = 1,
	["Pyroblast"] = 1,
	["Spellsteal"] = 1,
	["Scorch"] = 1,
	["Pyroblast"] = 1,
	["Flamestrike"] = 1,
	["Blast Wave"] = 1,
	["Fire Blast"] = 1,
	["Slow"] = 1,
	-- Shaman
	["Lightning Bolt"] = 1,
	["Chain Lightning"] = 1,
	-- Warlock
	["Immolate"] = 1,
	["Corruption"] = 1,
	["Shadow Bolt"] = 1,
	["Seed of Corruption"] = 1,
	["Drain Soul"] = 1,
	["Health Funnel"] = 1,
	["Searing Pain"] = 1,
	["Ritual of Summoning"] = 1,
	["Hellfire"] = 1,
	["Conflagrate"] = 1,
	["Soul Fire"] = 1,
	["Unstable Affliction"] = 1,
	["Incinerate"] = 1,
	["Shadowfury"] = 1;
	-- Paladin
	["Hammer of Wrath"] = 1,
	["Holy Shock"] = 1,
	["Avenger's Shield"] = 1,
	["Turn Evil"] = 1,
	-- Warrior
	["Charge"] = 1,
	["Intercept"] = 1,
	["Sweeping Strikes"] = 1,
	-- Rogue
	["Deadly Throw"] = 1,
	["Throw"] = 1,
	["Ghostly Strike"] = 1,
};

-- Spells/Emotes that will be ignored (spammy spells that we don't care to see)
SA_SPELLS_IGNORE = 
{
	["Abolish Poision"] = 1,
	["Ancestral Fortitude"] = 1,
	["Arcane Intellect"] = 1,
	["Arcane Shot"] = 1,
	["Argent Dawn Commission"] = 1,
	["Aspect of the Cheetah"] = 1,
	["Aspect of the Hawk"] = 1,
	["Aspect of the Monkey"] = 1,
	["Aspect of the Viper"] = 1,
	["Attack"] = 1,
	["Aura of Wrath"] = 1,
	["Aura of the Crusader"] = 1,
	["Aura of the Concentration"] = 1,
	["Battle Shout"] = 1,
	["Blessed Resilience"] = 1,
	["Blessed Recovery"] = 1,
	["Blessing of the Silver Crescent"] = 1,
	["Bloodrage"] = 1,
	["Bloodthirst"] = 1,
	["Blood Craze"] = 1,
	["Blood Pact"] = 1,
	["Cat Form"] = 1,
	["Clearcasting"] = 1,
	["Commanding Shout"] = 1,
	["Combat Gallantry"] = 1,
	["Combat Potency"] = 1,
	["Combat Valor"] = 1,
	["Concussive Shot"] = 1,
	["Crusader Aura"] = 1,
	["Crusader's Command"] = 1,
	["Deadly Aim"] = 1,
	["Demonic Knowledge"] = 1,
	["Detect Traps"] = 1,
	["Devotion Aura"] = 1,
	["Dire Bear Form"] = 1,
	["Divine Illumination"] = 1,
	["Elemental Devastation"] = 1,
	["Elemental Strength"] = 1,
	["Enrage"] = 1,
	["Executioner"] = 1,
	["Exploit Weakness"] = 1,
	["Explosive Shot"] = 1,
	["Fade"] = 1,
	["Ferocity"] = 1,
	["Ferocious Inspiration"] = 1,
        ["Find Weakness"] = 1,
	["Fire Resistance Aura"] = 1,
	["Flurry"] = 1,
	["Focus"] = 1,
	["Focused"] = 1,
	["Focused Casting"] = 1,
	["Focused Will"] = 1,
	["Frenzy"] = 1,
	["Frenzy Effect"] = 1,
	["Furor"] = 1,
	["Ghost Wolf"] = 1,
        ["Gladiator's Totem of the Third Wind"] = 1,
        ["Gladiator's Totem of Survival"] = 1,
        ["Gladiator's Totem of Indomitability"] = 1,
        ["Gladiator's Libram of Justice"] = 1,
	["Haste"] = 1,
	["Healing Way"] = 1,
	["Holy Strength"] = 1,
	["Icy Veins"] = 1,
	["Improved Blink"] = 1,
	["Inspiration"] = 1,
	["Invigorated"] = 1,
	["Judgement of Command"] = 1,
	["Judgement of Wisdom"] = 1,
	["Julie's Blessing"] = 1,
	["Justice"] = 1,
	["Leader of the Pack"] = 1,
	["Life Tap"] = 1,
	["Light's Grace"] = 1,
        ["Lightning Speed"] = 1,
	["Lionheart"] = 1,
	["Mana Spring"] = 1,
        ["Manic"] = 1,
        ["Merciless Gladiator's Totem of the Third Wind"] = 1,
        ["Merciless Gladiator's Totem of Survival"] = 1,
        ["Merciless Gladiator's Totem of Indomitability"] = 1,
        ["Merciless Gladiator's Libram of Justice"] = 1,
	["Moonkin Form"] = 1,
        ["Multi-Shot"] = 1,
	["Natural Perfection"] = 1,
	["Nurture"] = 1,
	["Omen of Clarity"] = 1,
	["Perceived Weakness"] = 1,
	["Power of Arcanagos"] = 1,
	["Primal Instinct"] = 1,
	["Quick Shots"] = 1,
	["Rage of the Unraveller"] = 1,
	["Rampage"] = 1,
	["Rapid Killing"] = 1,
	["Reckoning"] = 1,
	["Redoubt"] = 1,
	["Relentlessness"] = 1,
	["Relentless Strikes Effect"] = 1,
	["Remorseless"] = 1,
	["Retribution Aura"] = 1,
	["Sadist"] = 1,
	["Sanctity Aura"] = 1,
	["Seal of Command"] = 1,
	["Seal of the Crusader"] = 1,
	["Seal of Righteousness"] = 1,
	["Serpent Sting"] = 1,
	["Shadow Trance"] = 1,
	["Shield Block"] = 1,
	["Shield Slam"] = 1,
	["Shoot"] = 1,
	["Skyfire Swiftness"] = 1,
	["Slam"] = 1,
	["Spell Haste"] = 1,
	["Spellsurge"] = 1,
	["Spirit of Redemption"] = 1,
	["Spirit Tap"] = 1,
	["Steady Shot"] = 1,
	["Stormpower"] = 1,
	["Summon Charger"] = 1,
	["Summon Dreadsteed"] = 1,
	["Surge of Light"] = 1,
	["Swiftshifting"] = 1,
        ["Tainted Blood"] = 1,
	["The Blade's Song"] = 1,
	["Travel Form"] = 1,
	["Trueshot Aura"] = 1,
	["Unbridled Wrath"] = 1,
        ["Unleashed Rage"] = 1,
	["Vengeance"] = 1,
        ["Vengeful Gladiator's Totem of the Third Wind"] = 1,
        ["Vengeful Gladiator's Totem of Survival"] = 1,
        ["Vengeful Gladiator's Totem of Indomitability"] = 1,
        ["Vengeful Gladiator's Libram of Justice"] = 1,
	["Windfury"] = 1,
	["Windfury Attack"] = 1,
};
